#include "vision.h"
#include "bits/stdc++.h"

using namespace std;

#define for0(i, n) for (ll i = 0; i < n; i++)
#define for1(i, n) for (ll i = 1; i < n; i++)
#define rfor0(i, n) for (ll i = n - 1; i >= 0; i--)
#define be(x) x.begin()
#define en(x) x.end()
#define all(x) be(x), en(x)
#define sz(x) x.size()
#define pb push_back
#define con continue
#define ret return

typedef long long ll;
typedef vector<ll> vll;

std::vector<int> getVisionPattern1d() {
    return {3, 1, 1, 1, 2, 1};
}

int getMove1d(std::vector<int> v) {
    if (v.size() == 3) {
        int mx = max(v[0], v[2]);
        if (mx == 3) {
            if (v[0] == 3) {
                return 0;
            } else {
                return 2;
            }
        } else if (mx == 2) {
            if (v[0] == 2) {
                return 0;
            } else {
                return 2;
            }
        } else {
            return 0;
        }
    } else if (v.size() == 5) {
        if (v[0] == 3) {
            return 0;
        } else {
            return 4;
        }
    } else {
        if (v[1] == 2) {
            return 6;
        } else {
            return 0;
        }
    }
}

std::vector<std::vector<int>> getVisionPattern2d() {

}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {
    return {0, 0};
}
